@require '../global.styl';


colorContainerWithCountry(countriesBoxSelector = false, sourcesBoxSelector = false, withContainerBorders = false) {
  $border-width = 7px;
  $border-width-desktop = 4px;
  $defaultCountryColor = $darkgray;
  $colors = {
    'green': $green,
    'orange': $orange,
    'yellow': $yellow,
    'pink': $pink,
    'black': #000000,
    'purple': $purple,
    'gray': $darkgray
  };

  if withContainerBorders {
    border-right: solid $border-width $defaultCountryColor;
    border-left: solid $border-width $defaultCountryColor;
    +desktop() {
      border-width: $border-width-desktop;
    }
  }

  if countriesBoxSelector {
    {countriesBoxSelector} {
      background-color: $defaultCountryColor;
    }
  }

  if sourcesBoxSelector {
    {sourcesBoxSelector} {
      background-color: $defaultCountryColor;
    }
  }

  for colorName, colorValue in $colors {
    &.{colorName} {
      if withContainerBorders {
        border-color: colorValue;
        border-color: colorValue;
      }

      if countriesBoxSelector {
        {countriesBoxSelector} {
          background-color: colorValue;
        }
      }

      if sourcesBoxSelector {
        {sourcesBoxSelector} {
          background-color: colorValue;
        }
      }
    }
  }
}
